commit:     df09de6882ee27954b1ec0da8291f8e2972afce6
Author:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Sun May  2 19:32:18 2021 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Sun May  2 19:32:36 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=df09de68

games-action/armagetronad: bump up to 0.2.9.1.0

Fix-by: Alan Swanson
Closes: https://bugs.gentoo.org/764983
Closes: https://bugs.gentoo.org/739070
Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Sergei Trofimovich <slyfox <AT> gentoo.org>

 games-action/armagetronad/Manifest                 |  1 +
 .../armagetronad/armagetronad-0.2.9.1.0.ebuild     | 63 ++++++++++++++++++++++
 .../files/armagetronad-0.2.9.1.0-AR.patch          | 10 ++++
 3 files changed, 74 insertions(+)

diff --git a/games-action/armagetronad/Manifest 
b/games-action/armagetronad/Manifest
index d162f158f53..f5e1a88d326 100644
--- a/games-action/armagetronad/Manifest
+++ b/games-action/armagetronad/Manifest
@@ -1 +1,2 @@
 DIST armagetronad-0.2.8.3.3.src.tar.bz2 1857868 BLAKE2B 
60a8fffe61903cb1fa4b188ae6c72ad842e5395b8a37276a6b84018e5393e1294e6ef5438fc7e029d02bfd7172eb81973781e7fbb670c3c7fbacae46d19de409
 SHA512 
05dd7db10efdac0e681133d07384b0e3c2edea328433f1d906e36b5f70960bf502df8d496967981b6bd67e1a119af9a5bbd71b0c824f790921deb3165165dc3f
+DIST armagetronad-0.2.9.1.0.tbz 1943758 BLAKE2B 
ed4ecef19125d69faf402829b88288124dd364eafc836be3848727c2bfbd87ca29e18b48448dc868fb995947b2daae150c3b9f5dcf048d0d90d442f5bcf425f0
 SHA512 
8c2b9cba7d480dec6d7d60984327a5d45c8c87b968fb81a1e192973e6826ddb66c8d41ca82bb04d80da5c6fa2152d19dd890957dabc6cc5ce2d4dffbc45d1f65

diff --git a/games-action/armagetronad/armagetronad-0.2.9.1.0.ebuild 
b/games-action/armagetronad/armagetronad-0.2.9.1.0.ebuild
new file mode 100644
index 00000000000..53ba592280d
--- /dev/null
+++ b/games-action/armagetronad/armagetronad-0.2.9.1.0.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools desktop xdg-utils
+
+DESCRIPTION="Fast-paced 3D lightcycle game based on Tron"
+HOMEPAGE="http://armagetronad.org/";
+SRC_URI="https://launchpad.net/armagetronad/$(ver_cut 
1-3)/${PV}/+download/armagetronad-${PV}.tbz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="dedicated sound"
+
+RDEPEND="
+       dev-libs/libxml2
+       !dedicated? (
+               media-libs/libpng:0=
+               media-libs/libsdl[X,opengl,video,sound?]
+               media-libs/sdl-image[jpeg,png]
+               virtual/glu
+               virtual/opengl
+               sound? ( media-libs/sdl-mixer )
+       )"
+DEPEND=${RDEPEND}
+
+PATCHES=("${FILESDIR}"/${P}-AR.patch)
+
+src_prepare() {
+       default
+
+       eautoreconf
+}
+
+src_configure() {
+       # --enable-games just messes up paths
+       econf \
+               $(use_enable dedicated) \
+               $(use_enable sound music) \
+               --disable-sysinstall \
+               --disable-useradd \
+               --disable-uninstall \
+               --disable-games
+}
+
+src_install() {
+       default
+
+       # misplaced desktop-file/icons
+       rm -r "${ED}"/usr/share/${PN}/desktop || die
+       doicon -s 48 desktop/icons/48x48/armagetronad.png
+       make_desktop_entry ${PN}
+}
+
+pkg_postinst() {
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_icon_cache_update
+}

diff --git a/games-action/armagetronad/files/armagetronad-0.2.9.1.0-AR.patch 
b/games-action/armagetronad/files/armagetronad-0.2.9.1.0-AR.patch
new file mode 100644
index 00000000000..5f48ded3f7d
--- /dev/null
+++ b/games-action/armagetronad/files/armagetronad-0.2.9.1.0-AR.patch
@@ -0,0 +1,10 @@
+--- a/configure.ac
++++ b/configure.ac
+@@ -28,6 +28,7 @@ dnl those two are apparently included in AC_CANONICAL_TARGET
+ dnl AC_CANONICAL_BUILD
+ dnl AC_CANONICAL_HOST
+ 
++AM_PROG_AR
+ AC_PROG_RANLIB
+ AM_INIT_AUTOMAKE([subdir-objects tar-ustar])
+ 

Reply via email to